#
# This script was written by Renaud Deraison <deraison@cvs.nessus.org>
#
# See the Nessus Scripts License for details
#

if(description)
{
 script_id(10058);
 script_bugtraq_id(881);
 script_version ("$Revision: 1.18 $");
 script_cve_id("CVE-2000-0021");
 name["english"] = "Domino HTTP server exposes the set up of the filesystem";
 script_name(english:name["english"]);
 
 desc["english"] = "
It is possible to get the absolute path leading to
the remote /cgi-bin directory by requesting a bogus
cgi (like : 'GET /cgi-bin/blah').

This problem can be used to obtain OS and installation
details.

Solution : Contact your vendor for a patch
Risk factor : Low";

 script_description(english:desc["english"]);
 
 summary["english"] = "obtains absolute path to cgi-bin";
 
 script_summary(english:summary["english"]); 
 script_category(ACT_GATHER_INFO);
 
 
 script_copyright(english:"This script is Copyright (C) 1999 Renaud Deraison");
 family["english"] = "Web Servers";
 script_family(english:family["english"]);
 script_dependencie("find_service.nes", "http_version.nasl","www_fingerprinting_hmap.nasl");
 script_require_ports("Services/www", 80);
 exit(0);
}

#
# The script code starts here
#

include("http_func.inc");
include("http_keepalive.inc");

port = get_http_port(default:80);

banner = get_http_banner(port:port);
if ( "Domino" >!< banner ) exit(0);

if(get_port_state(port))
{
  req = http_get(item:"/cgi-bin/just_a_test_ignore", port:port);
  s = http_keepalive_send_recv(port:port, data:req);
  if("domino/cgi-bin" >< s)security_warning(port);
}
