#
# (C) Tenable Network Security
#
# 

if (description) {
  script_id(18639);
  script_version("$Revision: 1.3 $");

  script_cve_id("CVE-2005-2106");
  script_bugtraq_id(14110);

  name["english"] = "Drupal Arbitrary PHP Code Execution Vulnerability";
  script_name(english:name["english"]);
 
  desc["english"] = "
The version of Drupal installed on the remote host, according to its version
number, allows attackers to embed arbitrary PHP code when submitting a 
comment or posting. 

Solution : Upgrade to Drupal version 4.5.4 / 4.6.2 or later.
Risk factor : High";
  script_description(english:desc["english"]);
 
  summary["english"] = "Checks for arbitrary PHP code execution vulnerability in Drupal";
  script_summary(english:summary["english"]);
 
  script_category(ACT_GATHER_INFO);
  script_family(english:"CGI abuses");

  script_copyright(english:"This script is Copyright (C) 2005 Tenable Network Security");

  script_dependencie("drupal_detect.nasl");
  script_require_ports("Services/www", 80);

  exit(0);
}


include("global_settings.inc");
include("http_func.inc");


port = get_http_port(default:80);
if (!get_port_state(port)) exit(0);
if (!can_host_php(port:port)) exit(0);


# Test an install.
install = get_kb_item(string("www/", port, "/drupal"));
if (isnull(install)) exit(0);
matches = eregmatch(string:install, pattern:"^(.+) under (/.*)$");
if (!isnull(matches)) {
  ver = matches[1];

  # There's a problem if...
  if (
    # it's an affected version (ie, 4.5.0 - 4.5.3; 4.6.0 - 4.6.1) or...
    ver =~ "^4\.(5\.[0-3]|6\.[01])" ||
    # the version is unknown and report_paranoia is set to paranoid
    ("unknown" >< ver && report_paranoia > 1)
  ) {
    security_hole(port);
    exit(0);
  }
}
