#
# (C) Tenable Network Security
#

if(description)
{
 script_id(20136);
 script_version ("$Revision: 1.2 $");
 script_cve_id("CVE-2005-2753", "CVE-2005-2754", "CVE-2005-2755", "CVE-2005-2756");
 script_bugtraq_id(15306, 15307, 15308, 15309);
 if (defined_func("script_xref")) {
   script_xref(name:"OSVDB", value:"20475");
   script_xref(name:"OSVDB", value:"20476");
   script_xref(name:"OSVDB", value:"20477");
   script_xref(name:"OSVDB", value:"20478");
 }
 name["english"] = "Quicktime < 7.0.3 (Windows)";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
Synopsis :

The remote version of QuickTime may allow an attacker to execute arbitrary
code on the remote host.

Description :

The remote Windows host is running a version of Quicktime 7 which is older
than Quicktime 7.0.3.

The remote version of this software is vulnerable to various buffer overflows 
which may allow an attacker to execute arbitrary code on the remote host by
sending a malformed file to a victim and have him open it using QuickTime 
player.

See also : 

http://docs.info.apple.com/article.html?artnum=302772

Solution : 

Upgrade to Quicktime 7.0.3 or later.

Risk factor :

Medium / CVSS Base Score : 6 
(AV:R/AC:H/Au:NR/C:P/A:P/I:P/B:N)";


 script_description(english:desc["english"]);
 
 summary["english"] = "Check for Quicktime < 7.0.3";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2005 Tenable Network Security");
 family["english"] = "Windows";
 script_family(english:family["english"]);
 
 script_dependencies("quicktime_heap_overflow.nasl");
 script_require_keys("SMB/Quicktime/Version");
 exit(0);
}

version = get_kb_item("SMB/Quicktime/Version");
if(!version)exit(0);

if(version < 0x07030000)security_warning(port);
