#
# (C) Tenable Network Security
#


if (description)
{
  script_id(21322);
  script_version("$Revision: 1.1 $");

  script_cve_id("CVE-2006-1993");
  script_bugtraq_id(17671);

  script_name(english:"Firefox < 1.5.0.3");
  script_summary(english:"Checks Firefox version number");

  desc = "
Synopsis :

A web browser on the remote host may be prone to a denial of service
attack. 

Description :

The installed version of Firefox may allow a malicious site to crash
the browser and potentially to run malicious code when attempting to
use a deleted controller context. 

Successful exploitation requires that 'designMode' be turned on. 

See also : 

http://www.securityfocus.com/archive/1/archive/1/431878/100/0/threaded
http://www.mozilla.org/security/announce/2006/mfsa2006-30.html

Solution : 

Upgrade to Firefox 1.5.0.3 or later. 

Risk factor : 

Low / CVSS Base Score : 2 
(AV:R/AC:H/Au:NR/C:N/A:P/I:N/B:N)";
  script_description(english:desc);
 
  script_category(ACT_GATHER_INFO);
  script_family(english:"Windows");
 
  script_copyright(english:"This script is Copyright (C) 2006 Tenable Network Security");
 
  script_dependencies("mozilla_org_installed.nasl");

  exit(0);
}


ver = get_kb_item("Mozilla/Firefox/Version");

if (ver && ver =~ "^1\.5([^0-9.]|$|\.0\.[12]([^[0-9]|$))")
  security_note(get_kb_item("SMB/transport"));
